/*
 *   Portions Copyright (C) 1983-1995 The Santa Cruz Operation, Inc.
 *		All Rights Reserved.
 *
 *	The information in this file is provided for the exclusive use of
 *	the licensees of The Santa Cruz Operation, Inc.  Such users have the
 *	right to use, modify, and incorporate this code into other products
 *	for purposes authorized by the license agreement provided they include
 *	this notice and the associated copyright notice with any such product.
 *	The information in this file is provided "AS IS" without warranty.
 */

/*	Portions Copyright (c) 1990, 1991, 1992, 1993 UNIX System Laboratories, Inc. */
/*	Portions Copyright (c) 1979 - 1990 AT&T   */
/*	  All Rights Reserved   */

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF          */
/*	UNIX System Laboratories, Inc.                          */
/*	The copyright notice above does not evidence any        */
/*	actual or intended publication of such source code.     */

#ifndef _GRP_H
#ifndef _PARAMS
#if defined(__STDC__) || defined(__cplusplus)
#define _PARAMS(ARGS) ARGS
#else
#define _PARAMS(ARGS) ()
#endif
#endif /* _PARAMS */
#define _GRP_H

#ident "oldstyle @(#) grp.h 20.1 94/12/04 "


#include <sys/types.h>

#pragma pack(4)
#ifndef _STRUCT_GROUP
#define _STRUCT_GROUP
struct group
{
	char	*gr_name;
	char	*gr_passwd;
	gid_t	gr_gid;	/* Will be padded appropriately */
	char	**gr_mem;
};
#endif
#pragma pack()


extern struct group	*getgrgid _PARAMS((unsigned short ));
extern struct group	*getgrnam _PARAMS((const char *));

extern void	endgrent();
extern struct group	*fgetgrent _PARAMS((FILE *));
extern struct group	*getgrent();
extern void	setgrent();
extern int	initgroups _PARAMS((const char *, unsigned short ));



#endif /* _GRP_H */
