/*
 *   Portions Copyright (C) 1983-1995 The Santa Cruz Operation, Inc.
 *		All Rights Reserved.
 *
 *	The information in this file is provided for the exclusive use of
 *	the licensees of The Santa Cruz Operation, Inc.  Such users have the
 *	right to use, modify, and incorporate this code into other products
 *	for purposes authorized by the license agreement provided they include
 *	this notice and the associated copyright notice with any such product.
 *	The information in this file is provided "AS IS" without warranty.
 */

/*	Portions Copyright (c) 1990, 1991, 1992, 1993 UNIX System Laboratories, Inc. */
/*	Portions Copyright (c) 1979 - 1990 AT&T   */
/*	  All Rights Reserved   */

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF          */
/*	UNIX System Laboratories, Inc.                          */
/*	The copyright notice above does not evidence any        */
/*	actual or intended publication of such source code.     */

#ifndef _ERRNO_H
#ifndef _PARAMS
#if defined(__STDC__) || defined(__cplusplus)
#define _PARAMS(ARGS) ARGS
#else
#define _PARAMS(ARGS) ()
#endif
#endif /* _PARAMS */
#define _ERRNO_H

#ident "oldstyle @(#) errno.h 20.1 94/12/04 "

#ifndef _SYS_ERRNO_H
#include <sys/errno.h>
#endif


#ifdef _REENTRANT

extern int	*__thr_errno();

#define errno	(*__thr_errno())

#else /* !_REENTRANT */

extern int	errno;

#endif /* _REENTRANT */

extern int sys_nerr;
extern char *sys_errlist[];
extern void perror _PARAMS((const char *));


#endif /* _ERRNO_H */
