/*
 *   Portions Copyright (C) 1983-1995 The Santa Cruz Operation, Inc.
 *		All Rights Reserved.
 *
 *	The information in this file is provided for the exclusive use of
 *	the licensees of The Santa Cruz Operation, Inc.  Such users have the
 *	right to use, modify, and incorporate this code into other products
 *	for purposes authorized by the license agreement provided they include
 *	this notice and the associated copyright notice with any such product.
 *	The information in this file is provided "AS IS" without warranty.
 */

/*	Portions Copyright (c) 1990, 1991, 1992, 1993 UNIX System Laboratories, Inc. */
/*	Portions Copyright (c) 1979 - 1990 AT&T   */
/*	  All Rights Reserved   */

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF          */
/*	UNIX System Laboratories, Inc.                          */
/*	The copyright notice above does not evidence any        */
/*	actual or intended publication of such source code.     */

#ifndef _SIGNAL_H
#ifndef _PARAMS
#if defined(__STDC__) || defined(__cplusplus)
#define _PARAMS(ARGS) ARGS
#else
#define _PARAMS(ARGS) ()
#endif
#endif /* _PARAMS */
#define _SIGNAL_H

#ident "oldstyle @(#) signal.h 20.3 94/12/19 "

#ifndef _SIG_ATOMIC_T
#define _SIG_ATOMIC_T
   /* atomic entity for signal handling  */
typedef int sig_atomic_t;
#endif

extern const char * const _sys_siglist[];
extern const int _sys_nsig;

#ifndef	_SYS_SIGNAL_H
#include <sys/signal.h>
#endif

#if !defined(_SYS_TYPES_H)
#include <sys/types.h>
#endif

extern void (*bsd_signal())();
extern void (*signal())();
extern int (sigfillset)();
extern int (sigemptyset)();
extern int (sigaddset)();
extern int (sigdelset)();
extern int (sigismember)();
extern int sigpending _PARAMS((sigset_t *));
extern int sigsuspend _PARAMS((sigset_t *));
extern int sigprocmask _PARAMS((int, const sigset_t *, sigset_t *));
extern int kill _PARAMS((short , int));
extern int killpg _PARAMS((int, int));
extern int sigaction _PARAMS((int, const struct sigaction *, struct sigaction *));
extern int raise _PARAMS((int));
extern  void (*sigset())();
extern  int (*ssignal())();


#define raise(sig)  kill(getpid(), sig)

#endif /* _SIGNAL_H  */

